[weasel-commit] Source: mkinitcpio=0.6.4-1

  • From: rbuilder@xxxxxxxxx
  • To: weasel-commit@xxxxxxxxxxxxx
  • Date: Fri, 18 Jun 2010 12:59:40 -0400

================================
mkinitcpio:source=0.6.4-1
cvc rdiff mkinitcpio -1 /weasel.rpath.org@wgl:3-devel/0.6.4-1
================================
0.6.4-1 Filip Brcic (brcha@xxxxxxxxxxxx) Fri Jun 18 12:59:31 2010
    mkinitcpio 0.6.4

mkinitcpio-preset.taghandler: new
--- /dev/null
+++ mkinitcpio-preset.taghandler
@@ -0,0 +43 @@
+#!/bin/bash
+
+# Rebuild initramfs toggle line: 1
+
+if [ $# -lt 2 ]; then
+    echo "not enough arguments: $0 $*" >&2
+    exit 1
+fi
+
+type="$1"
+shift
+action="$1"
+shift
+
+LANG=C
+LC_ALL=C
+
+case $type in 
+    files)
+       case $action in
+           update)
+               for file in $@; do
+                   version=$(grep 'ALL_kver=' ${file} | awk -F'=' -- '{print 
$2}')
+                   /sbin/depmod -ae -F "/boot/System.map-${version}" 
"${version}"
+                   %(essentialsbindir)s/mkinitcpio -p $(basename ${file} 
.preset)
+                   %(essentialsbindir)s/ext3flush 
/boot/initcpio-${version}{,-fallback}.img
+               done
+
+               %(essentialsbindir)s/grub-mkconfig -o /boot/grub/grub.cfg
+               ;;
+           preremove)
+               for file in $@; do
+                   version=$(grep 'ALL_kver=' ${file} | awk -F'=' -- '{print 
$2}')
+                   rm -v /boot/initcpio-${version}{,-fallback}.img
+               done
+
+               %(essentialsbindir)s/grub-mkconfig -o /boot/grub/grub.cfg
+               ;;
+       esac
+       ;;
+esac
+
+exit 0

mkinitcpio-0.6.4.tar.gz: new
mkinitcpio.recipe: new
--- /dev/null
+++ mkinitcpio.recipe
@@ -0,0 +62 @@
+#
+# Copyright (c) 2010 Weasel GNU/Linux [Filip Brcic (brcha@xxxxxxxxxxxx)]
+# Distributed under the terms of the GNU General Public License v3
+#
+
+class Mkinitcpio(CPackageRecipe):
+    name = 'mkinitcpio'
+    version = '0.6.4'
+
+    buildRequires = []
+
+    shortDesc  = 'Modular initramfs image creation utility'
+    longDesc   = """
+mkinitcpio is the next generation of initramfs creation.
+"""
+    url        = 'http://wiki.archlinux.org/index.php/Configuring_mkinitcpio'
+    licenses   = [ 'GPL-2' ]
+    categories = [ 'System' ]
+
+    def setup(r):
+        r.addArchive('ftp://ftp.archlinux.org/other/%(name)s/')
+
+        r.Replace('-p "\${root}"', '"\${root}"',
+                  'init_functions')
+        r.Replace('#COMPRESSION="lzma"', 'COMPRESSION="lzma"',
+                  'mkinitcpio.conf')
+
+        r.MakeInstall()
+
+        r.Remove('%(sysconfdir)s/%(name)s.d/example.preset')
+
+        r.ExcludeDirectories(exceptions='%(sysconfdir)s/%(name)s.d')
+
+        r.addSource('mkinitcpio-preset.taghandler',
+                    dest='%(taghandlerdir)s/mkinitcpio-preset',
+                    macros=True,
+                    mode=0755)
+        r.addSource('mkinitcpio-preset.tagdescription',
+                    dest='%(tagdescriptiondir)s/mkinitcpio-preset',
+                    macros=True)
+
+        for req in [ 'mkinitcpio-busybox:lib',
+                     'module-init-tools:runtime',
+                     'util-linux-ng:runtime',
+                     'gen-init-cpio:runtime',
+                     'coreutils:runtime',
+                     'bash:runtime',
+                     'findutils:runtime',
+                     'sed:runtime',
+                     'grep:runtime',
+                     'filesystem:runtime',
+                     'udev:runtime',
+                     'file:runtime',
+                     'gzip:runtime',
+                     'which:runtime',
+                     'xz-utils:runtime',
+                     'bzip2:runtime',
+                     'awk:runtime',
+#                     'mkinitcpio-nfs-utils:runtime',
+                     ]:
+            r.Requires(req, '%(essentialsbindir)s/')
+            r.Requires(req, '%(taghandlerdir)s/')

mkinitcpio-preset.tagdescription: new
--- /dev/null
+++ mkinitcpio-preset.tagdescription
@@ -0,0 +4 @@
+file %(taghandlerdir)s/mkinitcpio-preset
+include %(sysconfdir)s/mkinitcpio.d/
+implements files update
+implements files remove


Committed by: brcha

Other related posts:

  • » [weasel-commit] Source: mkinitcpio=0.6.4-1 - rbuilder